default_CONFIG = CONFIG_APP_U2U=n

ifeq ($(CONFIG_APP_U2U),y)

bin_PROGRAMS = u2u

u2u_SOURCES = u2u.c ul_dcnv.c u2u_vend.c usb_srq.c
#u2u_SOURCES += ulan1-$(APPID).asm

lib_LOADLIBES = bspbase ulan usbbase usbpdi
ifeq ($(CONFIG_MISC_VECT),y)
lib_LOADLIBES += misc
CFLAGS  += -D HAVE_VECT_H 
endif #CONFIG_MISC_VECT)

nobase_include_HEADERS = usb/usb_defs.h

# The specification for load and run command should be
# specified in the board provided config.omk file fragment
# (LOAD_CMD-flash, RUN_CMD-flash)

# This selects linker script 
LD_SCRIPT = $(BOARD)
DEFAULT_LD_SCRIPT_VARIANT = flash

OUTPUT_FORMATS = hex

endif #CONFIG_APP_U2U
